#include <acknex.h>
#include <default.c>
#include "ambxPlugin.h";

var game_running = 1;

TEXT* dummy_text = { strings = 1; pos_x = 10; pos_y = 10; flags = VISIBLE; }
TEXT* status_text = { strings = 1; pos_x = 200; pos_y = 10; flags = VISIBLE; }

BMAP* fan_on_bmp = "fan_on.bmp";
BMAP* lamp_on_bmp = "lamp_on.bmp";
BMAP* vibr_on_bmp = "rumble_on.bmp";

BMAP* fan_off_bmp = "fan_off.bmp";
BMAP* lamp_off_bmp = "lamp_off.bmp";
BMAP* vibr_off_bmp = "rumble_off.bmp";

int fan0on = 0;
int fan1on = 0;
int lamp0on = 0;
int lamp1on = 0;
int lamp2on = 0;
int vibron = 0;

PANEL* ctrl_pan;

function start_fan_0() {
	if (fan0on == 0) {
		pan_setbmap(ctrl_pan,3,1.1,fan_on_bmp);
		SetFanIntensity(0,1);
		fan0on = 1;
	}
	else
	{
		pan_setbmap(ctrl_pan,3,1.1,fan_off_bmp);
		SetFanIntensity(0,0);
		fan0on = 0;
	}
	Update();
}

function start_fan_1() {
	if (fan1on == 0) {
		pan_setbmap(ctrl_pan,3,5.1,fan_on_bmp);
		SetFanIntensity(1,1);
		fan1on = 1;
	}
	else
	{
		pan_setbmap(ctrl_pan,3,5.1,fan_off_bmp);
		SetFanIntensity(1,0);
		fan1on = 0;
	}
	Update();
}

function start_lamp_0() {
	if (lamp0on == 1) {
		pan_setbmap(ctrl_pan,3,2.1,lamp_off_bmp);
		lamp0on = 0;
	}	
	else
	{
		pan_setbmap(ctrl_pan,3,2.1,lamp_on_bmp);
		lamp0on = 1;
	}
}

function start_lamp_1() {
	if (lamp1on == 1) {
		pan_setbmap(ctrl_pan,3,3.1,lamp_off_bmp);
		lamp1on = 0;
	}	
	else
	{
		pan_setbmap(ctrl_pan,3,3.1,lamp_on_bmp);
		lamp1on = 1;
	}
}

function start_lamp_2() {
	if (lamp2on == 1) {
		pan_setbmap(ctrl_pan,3,4.1,lamp_off_bmp);
		lamp2on = 0;
	}	
	else
	{
		pan_setbmap(ctrl_pan,3,4.1,lamp_on_bmp);
		lamp2on = 1;
	}
}

function start_vibr() {
	if (vibron == 1) {
		vibron = 0;
		pan_setbmap(ctrl_pan,3,6.1,vibr_off_bmp);
		SetRumbleIntensity(0);
		SetRumbleSpeed(0);
	}	
	else
	{
		vibron = 1;
		pan_setbmap(ctrl_pan,3,6.1,vibr_on_bmp);
		SetRumbleIntensity(1);
		SetRumbleSpeed(1);
	}
	Update();
}

PANEL* ctrl_pan = {
	pos_x = 60;
	pos_y = 50;
	flags = VISIBLE;
	button = 1,1,fan_on_bmp,fan_off_bmp,fan_on_bmp, start_fan_0,NULL,NULL;
	button = 81,1,lamp_on_bmp,lamp_off_bmp,lamp_on_bmp, start_lamp_0,NULL,NULL;
	button = 161,1,lamp_on_bmp,lamp_off_bmp,lamp_on_bmp, start_lamp_1,NULL,NULL;
	button = 241,1,lamp_on_bmp,lamp_off_bmp,lamp_on_bmp, start_lamp_2,NULL,NULL;
	button = 321,1,fan_on_bmp,fan_off_bmp,fan_on_bmp, start_fan_1,NULL,NULL;
	button = 105,100,vibr_on_bmp,vibr_off_bmp,vibr_on_bmp, start_vibr,NULL,NULL;
	
}

function exit_game() {
	game_running = 0;
}

function main() {
	video_mode = 5;
	screen_color.red = 255;
	screen_color.green = 255;
	screen_color.blue = 255;
	mouse_mode = 1;
	
	on_esc = exit_game;
	
	//SetDebugLvl(1);
	InitAmBx();
	AddPremiumKit();
	SetRumbleWaveForm(0);
	
	while (game_running) {
		int i;
		i = random(1000);
		if (i > 990) {
			if (lamp0on == 1) {
				SetLightColor(0,random(255),random(255),random(255));
			}
			if (lamp1on == 1) {
				SetLightColor(1,random(255),random(255),random(255));
			}
			if (lamp2on == 1) {
				SetLightColor(2,random(255),random(255),random(255));
			}	
			Update();
		}
		wait(1);
		vec_set(mouse_pos,mouse_cursor);
	}
	
	DeInitAmBx();
	sys_exit("");	
}